/*
 * AttackDeadPlayerException.java
 *
 * Created on May 4, 2004, 2:14 AM
 */

package simulations.core.exceptions;

/**
 * This exception is thrown when a strategy returns a dead player to attack
 * @author  tom
 */
public class AttackDeadPlayerException extends Exception {
    
    /** Creates a new instance of AttackDeadPlayerException */
    public AttackDeadPlayerException() {
        super("The strategy returns a dead player to attack");
    }
    
}
