/*
 * ManyPlayerToAttackException.java
 *
 * Created on April 18, 2004, 10:09 PM
 */

package simulations.core.exceptions;

/** This class describes an exception thrown when a strategy returns more that one
 * player to attack
 * @author tom
 */
public class ManyPlayerToAttackException extends java.lang.Exception {
    
    /** Creates a new instance of ManyPlayerToAttackException */
    public ManyPlayerToAttackException() {
        super("The strategy return more than one player to attack");
    }
    
}
