/*
 * NoPlayerToAttackException.java
 *
 * Created on April 18, 2004, 10:10 PM
 */

package simulations.core.exceptions;

/** This class describes an exception thrown when a strategy returns no
 * player to attack
 * @author tom
 */
public class NoPlayerToAttackException extends java.lang.Exception {
    
    /** Creates a new instance of NoPlayerToAttackException */
    public NoPlayerToAttackException() {
        super("The strategy returns no player to attack");
    }
    
}
