/*
 * CompoDecisionStrat.java
 *
 * Created on 3 juin 2004, 03:46
 */

package simulations.database.core;

import java.sql.SQLException;
import java.sql.ResultSet;

/**
 *
 * @author  tom
 */
public class CompoDecisionStrat {
    
    private int idCompoDecisionStrat;
    
    private int idDecisionStrat;
    
    private int rank;
    
    /** Creates a new instance of CompoDecisionStrat */
    public CompoDecisionStrat(ResultSet rs) {
        try {
            idCompoDecisionStrat = rs.getInt("ID_COMPO_DECISION_STRAT");
            idDecisionStrat = rs.getInt("ID_DECISION_STRAT");
            rank = rs.getInt("RANK");
        }catch(SQLException e) {
            System.out.println("new CompoDecisionStrat()");
            e.printStackTrace();
            System.exit(0);
        }
    }
    
    public String toString() {
        return idCompoDecisionStrat+" : "+idDecisionStrat+" : "+rank;
    }
    
    /** Getter for property idCompoDecisionStrat.
     * @return Value of property idCompoDecisionStrat.
     *
     */
    public int getIdCompoDecisionStrat() {
        return idCompoDecisionStrat;
    }
    
    /** Setter for property idCompoDecisionStrat.
     * @param idCompoDecisionStrat New value of property idCompoDecisionStrat.
     *
     */
    public void setIdCompoDecisionStrat(int idCompoDecisionStrat) {
        this.idCompoDecisionStrat = idCompoDecisionStrat;
    }
    
    /** Getter for property idDecisionStrat.
     * @return Value of property idDecisionStrat.
     *
     */
    public int getIdDecisionStrat() {
        return idDecisionStrat;
    }
    
    /** Setter for property idDecisionStrat.
     * @param idDecisionStrat New value of property idDecisionStrat.
     *
     */
    public void setIdDecisionStrat(int idDecisionStrat) {
        this.idDecisionStrat = idDecisionStrat;
    }
    
    /** Getter for property rank.
     * @return Value of property rank.
     *
     */
    public int getRank() {
        return rank;
    }
    
    /** Setter for property rank.
     * @param rank New value of property rank.
     *
     */
    public void setRank(int rank) {
        this.rank = rank;
    }
    
}
