/*
 * Player.java
 *
 * Created on 3 juin 2004, 03:20
 */

package simulations.database.core;

import java.sql.SQLException;
import java.sql.ResultSet;

/**
 *
 * @author  tom
 */
public class Player {
    
    private int idPlayer;
    
    private int idStrategy;
    
    private int idGame;
    
    private String name;
    
    /** Creates a new instance of Player */
    public Player(ResultSet rs) {
        try {
            idPlayer = rs.getInt("ID_PLAYER");
            idStrategy = rs.getInt("ID_STRATEGY");
            idGame = rs.getInt("ID_GAME");
            name = rs.getString("NAME");
        }catch(SQLException e) {
            System.out.println("new Player()");
            e.printStackTrace();
            System.exit(0);
        }
    }
    
    public int getLastTurn(Communication com) {
        return 0;
    }
        
    public String toString() {
        return name;
    }
    
    /** Getter for property idGame.
     * @return Value of property idGame.
     *
     */
    public int getIdGame() {
        return idGame;
    }
    
    /** Setter for property idGame.
     * @param idGame New value of property idGame.
     *
     */
    public void setIdGame(int idGame) {
        this.idGame = idGame;
    }
    
    /** Getter for property idPlayer.
     * @return Value of property idPlayer.
     *
     */
    public int getIdPlayer() {
        return idPlayer;
    }
    
    /** Setter for property idPlayer.
     * @param idPlayer New value of property idPlayer.
     *
     */
    public void setIdPlayer(int idPlayer) {
        this.idPlayer = idPlayer;
    }
    
    /** Getter for property idStrategy.
     * @return Value of property idStrategy.
     *
     */
    public int getIdStrategy() {
        return idStrategy;
    }
    
    /** Setter for property idStrategy.
     * @param idStrategy New value of property idStrategy.
     *
     */
    public void setIdStrategy(int idStrategy) {
        this.idStrategy = idStrategy;
    }
    
    /** Getter for property name.
     * @return Value of property name.
     *
     */
    public java.lang.String getName() {
        return name;
    }
    
    /** Setter for property name.
     * @param name New value of property name.
     *
     */
    public void setName(java.lang.String name) {
        this.name = name;
    }
    
}
