/*
 * PlayersRanking.java
 *
 * Created on 5 juin 2004, 17:36
 */

package simulations.database.core;

import java.sql.SQLException;
import java.sql.ResultSet;

/**
 *
 * @author  tom
 */
public class PlayersRanking {
    
    private int idGame;
    
    private int idPlayer;
    
    private int rank;
    
    private int lastTurn;
    
    /** Creates a new instance of PlayersRanking */
    public PlayersRanking(ResultSet rs) {
        try {
            idGame = rs.getInt("ID_GAME");
            idPlayer = rs.getInt("ID_PLAYER");
            rank = rs.getInt("RANK");
            lastTurn = rs.getInt("LAST_TURN");
        }catch(SQLException e) {
            System.out.println("new PlayersRanking()");
            e.printStackTrace();
            System.exit(0);
        }
    }
    
    public String toString() {
        return idGame+" : "+idPlayer+" : "+rank+" : "+lastTurn;
    }
    
    /** Getter for property idGame.
     * @return Value of property idGame.
     *
     */
    public int getIdGame() {
        return idGame;
    }
    
    /** Setter for property idGame.
     * @param idGame New value of property idGame.
     *
     */
    public void setIdGame(int idGame) {
        this.idGame = idGame;
    }
    
    /** Getter for property idPlayer.
     * @return Value of property idPlayer.
     *
     */
    public int getIdPlayer() {
        return idPlayer;
    }
    
    /** Setter for property idPlayer.
     * @param idPlayer New value of property idPlayer.
     *
     */
    public void setIdPlayer(int idPlayer) {
        this.idPlayer = idPlayer;
    }
    
    /** Getter for property lastTurn.
     * @return Value of property lastTurn.
     *
     */
    public int getLastTurn() {
        return lastTurn;
    }
    
    /** Setter for property lastTurn.
     * @param lastTurn New value of property lastTurn.
     *
     */
    public void setLastTurn(int lastTurn) {
        this.lastTurn = lastTurn;
    }
    
    /** Getter for property rank.
     * @return Value of property rank.
     *
     */
    public int getRank() {
        return rank;
    }
    
    /** Setter for property rank.
     * @param rank New value of property rank.
     *
     */
    public void setRank(int rank) {
        this.rank = rank;
    }
    
}
