/*
 * Serie.java
 *
 * Created on 3 juin 2004, 02:58
 */

package simulations.database.core;

import java.sql.SQLException;
import java.sql.ResultSet;

/**
 *
 * @author  tom
 */
public class Serie {
    
    private int idSerie;
    
    private int idExp;
    
    private String name;
    
    /** Creates a new instance of Serie */
    public Serie(ResultSet rs) {
        try {
            idSerie = rs.getInt("ID_SERIE");
            idExp = rs.getInt("ID_EXP");
            name = rs.getString("NAME");
        }catch(SQLException e) {
            System.out.println("new Serie()");
            e.printStackTrace();
            System.exit(0);
        }
    }
    
    public String toString() {
        return name;
    }
    
    /** Getter for property idExp.
     * @return Value of property idExp.
     *
     */
    public int getIdExp() {
        return idExp;
    }
    
    /** Setter for property idExp.
     * @param idExp New value of property idExp.
     *
     */
    public void setIdExp(int idExp) {
        this.idExp = idExp;
    }
    
    /** Getter for property idSerie.
     * @return Value of property idSerie.
     *
     */
    public int getIdSerie() {
        return idSerie;
    }
    
    /** Setter for property idSerie.
     * @param idSerie New value of property idSerie.
     *
     */
    public void setIdSerie(int idSerie) {
        this.idSerie = idSerie;
    }
    
    /** Getter for property name.
     * @return Value of property name.
     *
     */
    public java.lang.String getName() {
        return name;
    }
    
    /** Setter for property name.
     * @param name New value of property name.
     *
     */
    public void setName(java.lang.String name) {
        this.name = name;
    }
    
}
