/*
 * Score.java
 *
 * Created on 2 f??vrier 2004, 04:27
 */

package simulations.core;

/** This class describes the score of player.
 * Or to be exact the score that will be retract at the end of turn.
 * @author tom
 */
public class Score {
    
    /** The player **/
    private Player player;
    
    /** The score **/
    private float score;
    
    /** Creates a new instance of Score 
     * @param player The player
     * @param score The score
     */
    public Score(Player player, float score) {
        this.player=player;
        this.score=score;
    }
    
    /** Getter for property player.
     * @return Value of property player.
     *
     */
    public simulations.core.Player getPlayer() {
        return player;
    }
    
    /** Setter for property player.
     * @param player New value of property player.
     *
     */
    public void setPlayer(simulations.core.Player player) {
        this.player = player;
    }
    
    /** Getter for property score.
     * @return Value of property score.
     *
     */
    public float getScore() {
        return score;
    }
    
    /** Setter for property score.
     * @param score New value of property score.
     *
     */
    public void setScore(float score) {
        this.score = score;
    }
    
}
