/*
 * ObjectIntElement.java
 *
 * Created on May 5, 2004, 12:13 AM
 */

package simulations.core.strategy;

/**
 * This class describes an object used to store
 * an object associated to an int
 * @author  tom
 */
public class ObjectIntElement {
    
    /** The object **/
    private Object object;
    
    /** The associated int **/
    private int nb;
    
    /**
     * Creates a new instance of ObjectIntElement
     * @param object The object
     * @param nb The int associate to the object
     */
    public ObjectIntElement(Object object, int nb) {
        this.object=object;
        this.nb=nb;
    }
    
    /**
     * Getter for property nb.
     * @return Value of property nb.
     */
    public int getNb() {
        return nb;
    }
    
    /**
     * Setter for property nb.
     * @param nb New value of property nb.
     */
    public void setNb(int nb) {
        this.nb = nb;
    }
    
    /**
     * Getter for property object.
     * @return Value of property object.
     */
    public java.lang.Object getObject() {
        return object;
    }
    
    /**
     * Setter for property object.
     * @param object New value of property object.
     */
    public void setObject(java.lang.Object object) {
        this.object = object;
    }
    
}
