/*
 * CoalitionsRanking.java
 *
 * Created on 5 juin 2004, 17:41
 */

package simulations.database.core;

import java.sql.SQLException;
import java.sql.ResultSet;

/**
 *
 * @author  tom
 */
public class CoalitionsRanking {
    
    private int idCoalition;
    
    private int idGame;
    
    private int rank;
    
    private int nbOcc;
    
    private int nbSeq;
    
    private int lgMax;
    
    
    /** Creates a new instance of CoalitionsRanking */
    public CoalitionsRanking(ResultSet rs) {
        try {
            idCoalition=rs.getInt("ID_COALITION");
            idGame = rs.getInt("ID_GAME");
            rank = rs.getInt("RANK");
            nbOcc = rs.getInt("NB_OCC");
            nbSeq = rs.getInt("NB_SEQ_OCC");
            lgMax = rs.getInt("LG_MAX");
        }catch(SQLException e) {
            System.out.println("new CoalitionsRanking()");
            e.printStackTrace();
            System.exit(0);
        }
    }
    
    public String toString() {
        return idCoalition+" : "+idGame+" : "+rank+" : "+nbOcc+" : "+nbSeq+" : "+lgMax;
    }
    
    /** Getter for property idCoalition.
     * @return Value of property idCoalition.
     *
     */
    public int getIdCoalition() {
        return idCoalition;
    }
    
    /** Setter for property idCoalition.
     * @param idCoalition New value of property idCoalition.
     *
     */
    public void setIdCoalition(int idCoalition) {
        this.idCoalition = idCoalition;
    }
    
    /** Getter for property idGame.
     * @return Value of property idGame.
     *
     */
    public int getIdGame() {
        return idGame;
    }
    
    /** Setter for property idGame.
     * @param idGame New value of property idGame.
     *
     */
    public void setIdGame(int idGame) {
        this.idGame = idGame;
    }
    
    /** Getter for property lgMax.
     * @return Value of property lgMax.
     *
     */
    public int getLgMax() {
        return lgMax;
    }
    
    /** Setter for property lgMax.
     * @param lgMax New value of property lgMax.
     *
     */
    public void setLgMax(int lgMax) {
        this.lgMax = lgMax;
    }
    
    /** Getter for property nbOcc.
     * @return Value of property nbOcc.
     *
     */
    public int getNbOcc() {
        return nbOcc;
    }
    
    /** Setter for property nbOcc.
     * @param nbOcc New value of property nbOcc.
     *
     */
    public void setNbOcc(int nbOcc) {
        this.nbOcc = nbOcc;
    }
    
    /** Getter for property nbSeq.
     * @return Value of property nbSeq.
     *
     */
    public int getNbSeq() {
        return nbSeq;
    }
    
    /** Setter for property nbSeq.
     * @param nbSeq New value of property nbSeq.
     *
     */
    public void setNbSeq(int nbSeq) {
        this.nbSeq = nbSeq;
    }
    
    /** Getter for property rank.
     * @return Value of property rank.
     *
     */
    public int getRank() {
        return rank;
    }
    
    /** Setter for property rank.
     * @param rank New value of property rank.
     *
     */
    public void setRank(int rank) {
        this.rank = rank;
    }
    
}
