/*
 * CompoAskingStrat.java
 *
 * Created on 3 juin 2004, 03:43
 */

package simulations.database.core;

import java.sql.SQLException;
import java.sql.ResultSet;

/**
 *
 * @author  tom
 */
public class CompoAskingStrat {
    
    private int idCompoAskingStrat;
    
    private int idAskingStrat;
    
    private int rank;
    
    /** Creates a new instance of CompoAskingStrat */
    public CompoAskingStrat(ResultSet rs) {
        try {
            idCompoAskingStrat = rs.getInt("ID_COMPO_ASKING_STRAT");
            idAskingStrat = rs.getInt("ID_ASKING_STRAT");
            rank = rs.getInt("RANK");
        }catch(SQLException e) {
            System.out.println("new CompoAskingStrat()");
            e.printStackTrace();
            System.exit(0);
        }
    }
    
    public String toString() {
        return idCompoAskingStrat+" : "+idAskingStrat+" : "+rank;
    }
    
    /** Getter for property idAskingStrat.
     * @return Value of property idAskingStrat.
     *
     */
    public int getIdAskingStrat() {
        return idAskingStrat;
    }
    
    /** Setter for property idAskingStrat.
     * @param idAskingStrat New value of property idAskingStrat.
     *
     */
    public void setIdAskingStrat(int idAskingStrat) {
        this.idAskingStrat = idAskingStrat;
    }
    
    /** Getter for property idCompoAskingStrat.
     * @return Value of property idCompoAskingStrat.
     *
     */
    public int getIdCompoAskingStrat() {
        return idCompoAskingStrat;
    }
    
    /** Setter for property idCompoAskingStrat.
     * @param idCompoAskingStrat New value of property idCompoAskingStrat.
     *
     */
    public void setIdCompoAskingStrat(int idCompoAskingStrat) {
        this.idCompoAskingStrat = idCompoAskingStrat;
    }
    
    /** Getter for property rank.
     * @return Value of property rank.
     *
     */
    public int getRank() {
        return rank;
    }
    
    /** Setter for property rank.
     * @param rank New value of property rank.
     *
     */
    public void setRank(int rank) {
        this.rank = rank;
    }
    
}
