/*
 * ColorVector.java
 *
 * Created on April 5, 2004, 1:23 AM
 */

package simulations.gui.curves;

import simulations.core.Player;
import java.awt.Color;


/**
 * This class describes an element to associate a color to an object
 * to draw curves.
 * @author  tom
 */
public class ColorElement {
    
    /** The object **/
    private Object object;
    
    /** The color **/
    private Color color;
    
    /** Creates a new instance of ColorVector 
     * @param object The object
     * @param color The color to associate
     **/
    public ColorElement(Object object, Color color) {
        this.object=object;
        this.color=color;
    }
    
    /** Getter for property color.
     * @return Value of property color.
     *
     */
    public java.awt.Color getColor() {
        return color;
    }
    
    /** Setter for property color.
     * @param color New value of property color.
     *
     */
    public void setColor(java.awt.Color color) {
        this.color = color;
    }
    
    /** Getter for property object.
     * @return Value of property object.
     *
     */
    public Object getObject() {
        return object;
    }
    
    /** Setter for property player.
     * @param object New value of property object.
     *
     */
    public void setObject(Object object) {
        this.object = object;
    }
        
}
