/*
 * PointElement.java
 *
 * Created on April 5, 2004, 1:30 AM
 */

package simulations.gui.curves;

import simulations.core.Player;
import java.awt.Point;

/**
 * This class describes the last point draw in the graph draw for a player
 * @author  tom
 */
public class PointElement {
    
    /** The player **/
    private Player player;
    
    /** The point (x,y coordonnates) **/
    private Point point;
    
    /** Creates a new instance of PointElement
     * @param point The point (x,y coordonates)
     * @param player The player
     */
    public PointElement(Player player, Point point) {
        this.player=player;
        this.point=point;
    }
    
    /** Getter for property player.
     * @return Value of property player.
     *
     */
    public simulations.core.Player getPlayer() {
        return player;
    }
    
    /** Setter for property player.
     * @param player New value of property player.
     *
     */
    public void setPlayer(simulations.core.Player player) {
        this.player = player;
    }
    
    /** Getter for property point.
     * @return Value of property point.
     *
     */
    public java.awt.Point getPoint() {
        return point;
    }    

    /** Setter for property point.
     * @param point New value of property point.
     *
     */
    public void setPoint(java.awt.Point point) {
        this.point = point;
    }
    
}
